using Microsoft.UI.Xaml;
using Microsoft.UI.Xaml.Controls;
using Microsoft.UI.Xaml.Media.Animation;

namespace TestProject
{
    /// <summary>
    ///  
    /// </summary>
    public sealed partial class MainPage : Page
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region  - MainPage()

        /// <summary>
        /// 
        /// </summary>
        public MainPage()
        {
            InitializeComponent();

            Loaded += Page_Loaded;

            this.standardRadioButton.Checked += standardRadioButton_Checked;
            this.compactRadioButton.Checked  += compactRadioButton_Checked;

            this.standardRadioButton.IsChecked = true;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region  ε óϱ - Page_Loaded(sender, e)

        /// <summary>
        ///  ε óϱ
        /// </summary>
        /// <param name="sender">̺Ʈ ߻</param>
        /// <param name="e">̺Ʈ </param>
        private void Page_Loaded(object sender, RoutedEventArgs e)
        {
            this.contentFrame.Navigate(typeof(SampleStandardSizingPage), null, new SuppressNavigationTransitionInfo());
        }

        #endregion
        #region Standard  ư üũ óϱ - standardRadioButton_Checked(sender, e)

        /// <summary>
        /// Standard  ư üũ óϱ
        /// </summary>
        /// <param name="sender">̺Ʈ ߻</param>
        /// <param name="e">̺Ʈ </param>
        private void standardRadioButton_Checked(object sender, RoutedEventArgs e)
        {
            SampleCompactSizingPage page1 = this.contentFrame.Content as SampleCompactSizingPage;

            this.contentFrame.Navigate(typeof(SampleStandardSizingPage), null, new SuppressNavigationTransitionInfo());

            if(page1 != null)
            {
                SampleStandardSizingPage page2 = this.contentFrame.Content as SampleStandardSizingPage;

                page2.CopyState(page1);
            }
        }

        #endregion
        #region Compact  ư üũ óϱ - compactRadioButton_Checked(sender, e)

        /// <summary>
        /// Compact  ư üũ óϱ
        /// </summary>
        /// <param name="sender">̺Ʈ ߻</param>
        /// <param name="e">̺Ʈ </param>
        private void compactRadioButton_Checked(object sender, RoutedEventArgs e)
        {
            SampleStandardSizingPage page1 = this.contentFrame.Content as SampleStandardSizingPage;

            this.contentFrame.Navigate(typeof(SampleCompactSizingPage), null, new SuppressNavigationTransitionInfo());

            if(page1 != null)
            {
                SampleCompactSizingPage page2 = this.contentFrame.Content as SampleCompactSizingPage;

                page2.CopyState(page1);
            }
        }

        #endregion
    }
}